Bug 172379 - no tvtime picture since 2.6.14-1.1632_FC5
Summary: no tvtime picture since 2.6.14-1.1632_FC5
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-03 15:20 UTC by John Ellson
Modified: 2015-01-04 22:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-10 01:11:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Ellson 2005-11-03 15:20:47 UTC
Description of problem:
In kernels since 2.6.14-1.1632_FC5 the tuner picks up sound for tv channels, but
no picture dispayed. 
 
lsmod shows: 
  cx88_blackbird         26453  0
  cx8802                 22469  1 cx88_blackbird
  tuner                  51829  0
  cx8800                 46797  1 cx88_blackbird
  cx88xx                 75745  3 cx88_blackbird,cx8802,cx8800
  i2c_algo_bit           18505  1 cx88xx
  video_buf              35141  4 cx88_blackbird,cx8802,cx8800,cx88xx
  ir_common              18757  1 cx88xx
  tveeprom               25041  1 cx88xx
  v4l1_compat            22085  1 cx8800
  v4l2_common            16321  1 cx8800
  btcx_risc              14153  3 cx8802,cx8800,cx88xx
  videodev               21057  3 cx88_blackbird,cx8800,cx88xx

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1635_FC5
kernel-2.6.14-1.1639_FC5

How reproducible:
100%

Steps to Reproduce:
1.tvtime
2.
3.
  
Actual results:
blue image, sound ok.

Expected results:
normal tv images

Additional info:

Comment 1 John Ellson 2005-11-03 15:22:18 UTC
Possibly related.  dmesg contains 1000's of identical mesages:
    cx88[0]: ioctl 0xc054561d (v4l2, rw, VIDIOC_G_TUNER)


Comment 2 John Ellson 2005-11-11 22:57:56 UTC
kernel-2.6.14-1.1660_FC5 and now sound has gone too.

Comment 3 Dane Rushton 2005-11-20 00:24:56 UTC
This issue is reproducable on my system:
Rawhide x86_64
BT848 based TV card.

kernel-2.6.14-1.1632_FC5 is the last kernel that works.

I have noticed that CPU usage is much higher when TVTime is displaying the blue screen. Could be 
related to TVTime's signal detection capabilities.

Output of lsmod from kernel-2.6.14-1.1688_FC5:
video                  52681  0 
bt878                  45421  0 
tuner                  80241  0 
bttv                  243761  1 bt878
video_buf              59717  1 bttv
i2c_algo_bit           43081  1 bttv
v4l2_common            40897  1 bttv
btcx_risc              38729  1 bttv
tveeprom               50513  1 bttv
videodev               45633  1 bttv
i2c_nforce2            41409  0 
i2c_core               59457  5 tuner,bttv,i2c_algo_bit,tveeprom,i2c_nforce2

Cheers
Dane

Comment 4 Wade Hampton 2005-12-05 15:20:09 UTC
The problems is also reproducable on my system:  ATI tv card, 2.6.14-latest,
Fedora Core 4-x86-64 (AMD 64).

Comment 5 John Ellson 2005-12-09 16:41:18 UTC
Fixed for me in kernel-2.6.14-1.1740_FC5 and later.  (Driver cx8800)

Comment 6 Dane Rushton 2005-12-10 00:05:13 UTC
This is also fixed for me (bttv). Cheers


Note You need to log in before you can comment on or make changes to this bug.